<?xml version="1.0" encoding="UTF-8"?>
    <!-- @AutoRun -->

    <OBJECTS name="" xmlns:oneit="http://www.1iT.com.au"><NODE name="Script" factory="Vector">

        <NODE name="DDL" factory="Participant" class="oneit.sql.transfer.DefineTableOperation">
			<tableName factory="String">tl_coupon</tableName>
			<column name="object_id" type="Long" nullable="false" length="11"/>
			<column name="object_last_updated_date" type="Date" nullable="false" length="22"/>
			<column name="object_created_date" type="Date" nullable="false" length="22"/>
			<column name="coupon_code" type="String" nullable="false" length="100"/>
			<column name="percentage_off" type="Double" nullable="true"/>
			<column name="duration_in_months" type="Long" nullable="true"/>
			<column name="coupon_duration" type="String" nullable="true" length="200"/>
			<column name="redeem_by" type="Date" nullable="true"/>
			<column name="max_redemptions" type="Long" nullable="true"/>
			<column name="times_redeemed" type="Long" nullable="true"/>
			</NODE>

        </NODE></OBJECTS>